Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 24-03-2016 15:08:50

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Plein de paquets obsolètes, que faire ?

Salut,

Je suis retombé sur une page que j'avais mis en favorites il y a longtemps sur comment eliminer les erreurs dûes aux PPA sous debian:
https://www.flynsarmy.com/2012/05/remov … in-debian/

Il propose de faire un:

aptitude search '?obsolete'


ce que j'ai fait pour trouver:

i   gstreamer0.10-ffmpeg                                                                    - FFmpeg plugin for GStreamer                                                                      
i A indicator-application                                                                   - application menu indicator                                                                        
i   jitsi                                                                                   - VoIP and Instant Messaging client                                                                
i A libavcodec-ffmpeg56                                                                     - FFmpeg library with de/encoders for audio/video codecs - runtime files                            
i A libavcodec53                                                                            - Libav codec library                                                                              
i A libavdevice-ffmpeg56                                                                    - FFmpeg library for handling input and output devices - runtime files                              
id  libavdevice53                                                                           - Libav device handling library                                                                    
i A libavfilter-ffmpeg5                                                                     - FFmpeg library containing media filters - runtime files                                          
id  libavfilter2                                                                            - Libav video filtering library                                                                    
i A libavformat-ffmpeg56                                                                    - FFmpeg library with (de)muxers for multimedia containers - runtime files                          
i A libavformat53                                                                           - Libav file format library                                                                        
i A libavresample-ffmpeg2                                                                   - FFmpeg compatibility library for resampling - runtime files                                      
i A libavutil-ffmpeg54                                                                      - FFmpeg library with functions for simplifying programming - runtime files                        
i A libavutil51                                                                             - Libav utility library                                                                            
id  libbladerf1                                                                             - nuand bladeRF software-defined radio device                                                      
id  libboost-python1.49.0                                                                   - Boost.Python Library                                                                              
id  libcamel-1.2-33                                                                         - Evolution MIME message handling library                                                          
id  libcodec2-0.4                                                                           - Codec2 runtime library                                                                            
i A libdrm-amdgpu1                                                                          - Userspace interface to amdgpu-specific kernel DRM services -- runtime                            
id  libebook-1.2-13                                                                         - Client library for evolution address books                                                        
id  libedataserver-1.2-16                                                                   - Utility library for evolution data servers                                                        
id  libexiv2-12                                                                             - EXIF/IPTC metadata manipulation library                                                          
i A libgcrypt11                                                                             - LGPL Crypto library - runtime library                                                            
id  libgnuradio-analog3.7.9                                                                 - gnuradio analog functions                                                                        
id  libgnuradio-atsc3.7.9                                                                   - gnuradio atsc functions                                                                          
id  libgnuradio-audio3.7.9                                                                  - gnuradio audio functions                                                                          
id  libgnuradio-blocks3.7.9                                                                 - gnuradio blocks functions                                                                        
id  libgnuradio-channels3.7.9                                                               - gnuradio channels functions                                                                      
id  libgnuradio-comedi3.7.9                                                                 - gnuradio comedi instrument control functions                                                      
id  libgnuradio-digital3.7.9                                                                - gnuradio digital communications functions                                                        
id  libgnuradio-dtv3.7.9                                                                    - gnuradio digital TV signal processing blocks                                                      
id  libgnuradio-fcd3.7.9                                                                    - gnuradio FunCube Dongle support                                                                  
id  libgnuradio-fec3.7.9                                                                    - gnuradio forward error correction support                                                        
id  libgnuradio-fft3.7.9                                                                    - gnuradio fast Fourier transform functions                                                        
id  libgnuradio-filter3.7.9                                                                 - gnuradio filter functions                                                                        
id  libgnuradio-noaa3.7.9                                                                   - gnuradio noaa satellite signals functions                                                        
id  libgnuradio-osmosdr0.1.4                                                                - Gnuradio blocks from the OsmoSDR project - library                                                
id  libgnuradio-pager3.7.9                                                                  - gnuradio pager radio functions                                                                    
id  libgnuradio-pmt3.7.9                                                                    - gnuradio pmt container library                                                                    
id  libgnuradio-qtgui3.7.9                                                                  - gnuradio Qt graphical user interface functions                                                    
id  libgnuradio-runtime3.7.9                                                                - gnuradio core runtime                                                                            
id  libgnuradio-trellis3.7.9                                                                - gnuradio trellis modulation functions                                                            
id  libgnuradio-uhd3.7.9                                                                    - gnuradio universal hardware driver functions                                                      
id  libgnuradio-video-sdl3.7.9                                                              - gnuradio video functions                                                                          
id  libgnuradio-vocoder3.7.9                                                                - gnuradio vocoder functions                                                                        
id  libgnuradio-wavelet3.7.9                                                                - gnuradio wavelet functions                                                                        
id  libgnuradio-wxgui3.7.9                                                                  - gnuradio wxgui functions                                                                          
id  libgnuradio-zeromq3.7.9                                                                 - gnuradio zeromq functions                                                                        
i A libgnutls26                                                                             - GNU TLS library - runtime library                                                                
i A libgphoto2-port12                                                                       - gphoto2 digital camera port library                                                              
i A libgsoap2                                                                               - Runtime libraries for gSOAP                                                                      
i   libjpeg8                                                                                - Independent JPEG Group's JPEG runtime library                                                    
id  liblcms1                                                                                - Little CMS color management library                                                              
i A libmediaart-2.0-0                                                                       - media art extraction and cache management library                                                
id  libopencv-core2.3                                                                       - computer vision core library                                                                      
id  libopencv-imgproc2.3                                                                    - computer vision Image Processing library                                                          
i A libopenjpeg2                                                                            - JPEG 2000 image compression/decompression library                                                
id  libparted0debian1                                                                       - disk partition manipulator - shared library                                                      
i A libpostproc-ffmpeg53                                                                    - FFmpeg library for post processing - runtime files                                                
i A librtmp0                                                                                - toolkit for RTMP streams (shared library)                                                        
i A librygel-core-2.6-2                                                                     - GNOME UPnP/DLNA services - core library                                                          
i A librygel-renderer-2.6-2                                                                 - GNOME UPnP/DLNA services - renderer library                                                      
i A librygel-server-2.6-2                                                                   - GNOME UPnP/DLNA services - server library                                                        
i   libswresample-dev                                                                       - FFmpeg library for audio resampling, rematrixing etc. - development files                        
i A libswresample-ffmpeg1                                                                   - FFmpeg library for audio resampling, rematrixing etc. - runtime files                            
i A libswscale-ffmpeg3                                                                      - FFmpeg library for image scaling and various conversions - runtime files                          
i A libswscale2                                                                             - Libav video scaling library                                                                      
i A libtasn1-3                                                                              - Manage ASN.1 structures (runtime)                                                                
i   libtiff4                                                                                - Tag Image File Format (TIFF) library (old version)                                                
i A libtiff4-dev                                                                            - Tag Image File Format (TIFF) library (old version), development files                            
i   libtiffxx0c2                                                                            - Tag Image File Format (TIFF) library (old version) -- C++ interface                              
id  libvolk1-bin                                                                            - vector optimized runtime tools                                                                    
id  libvolk1.1                                                                              - vector optimized functions                                                                        
id  libwxbase2.8-0                                                                          - wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit                          
id  libwxgtk2.8-0                                                                           - wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)                                          
i A libx264-123                                                                             - x264 video coding library                                                                        
i A libx265-59                                                                              - H.265/HEVC video stream encoder (shared library)                                                  
i A linux-compiler-gcc-4.9-x86                                                              - Compiler for Linux on x86 (meta-package)                                                          
id  linux-headers-4.2.0-0.bpo.1-amd64                                                       - Header files for Linux 4.2.0-0.bpo.1-amd64                                                        
id  linux-headers-4.2.0-0.bpo.1-common                                                      - Common header files for Linux 4.2.0-0.bpo.1                                                      
i A linux-headers-4.3.0-0.bpo.1-amd64                                                       - Header files for Linux 4.3.0-0.bpo.1-amd64                                                        
i A linux-headers-4.3.0-0.bpo.1-common                                                      - Common header files for Linux 4.3.0-0.bpo.1                                                      
i A linux-image-3.2.0-4-rt-amd64                                                            - Linux 3.2 for 64-bit PCs, PREEMPT_RT                                                              
i A linux-image-4.2.0-0.bpo.1-amd64                                                         - Linux 4.2 for 64-bit PCs                                                                          
i A linux-image-4.3.0-0.bpo.1-amd64                                                         - Linux 4.3 for 64-bit PCs                                                                          
id  linux-kbuild-4.2                                                                        - Kbuild infrastructure for Linux 4.2                                                              
i A linux-kbuild-4.3                                                                        - Kbuild infrastructure for Linux 4.3                                                              
i   midori                                                                                  - fast, lightweight graphical web browser                                                          
i   obs-studio                                                                              - OBS installé                                                                                      
id  python-funcsigs                                                                         - function signatures from PEP362 - Python 2.7                                                      
i A python-idna                                                                             - Python IDNA2008 (RFC 5891) handling (Python 2)                                                    
id  python-wxgtk2.8                                                                         - wxWidgets Cross-platform C++ GUI toolkit (wxPython binding)                                      
i   ttf-thai-tlwg                                                                           - transitional dummy package                                                                        
i   unrar                                                                                   - Unarchiver for .rar files (non-free version)                                                      
i   virtualbox                                                                              - x86 virtualization solution - base binaries                                                      
i A virtualbox-dkms                                                                         - x86 virtualization solution - kernel module sources for dkms                                      
i A virtualbox-qt                                                                           - x86 virtualization solution - Qt based user interface



ce qui fait un paquet de trucs obsolètes, ensuite il propose de les désinstaller et de les réinstaller, bonne idée ?

Merci d'avance pour vos conseils smile

Hors ligne

#2 24-03-2016 17:35:55

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Plein de paquets obsolètes, que faire ?

Bonjour,

des PPA  sur Debian ?  hmm

Aie !!!

Dernière modification par golgot200 (24-03-2016 17:36:50)


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#3 24-03-2016 19:06:06

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : Plein de paquets obsolètes, que faire ?

oui,
à une époque j'ai cru en ces choses, sans succès mais je n'ai aucune idée de l'étendue des dégats neutral

Hors ligne

#4 24-03-2016 20:02:00

rodrigue7000
Membre
Lieu : beloeil
Distrib. : debian jessie (stable) v8.4
Noyau : Linux 4.5.0-0.bpo.2-amd64
(G)UI : kde et cinnamon Fixe pc + xfce et cinnamon laptop
Inscription : 01-03-2016

Re : Plein de paquets obsolètes, que faire ?

je pense que pas vrai un blog ou quoi ? (désolé, je ne comprends pas un blog ?)
j'ai pas un ppa yikes


aptitude search '?obsolete'


i A gtkdialog                                          - GUI-creation command-line utility based on GTK+ library      
i   live-usb-install                                   - Install various Linux distributions from ISO, CD/DVD, Interne
i   master-pdf-editor3                                 - Master PDF Editor is complete solution for view, print and ed
i   multisystem                                        - Avec MultiSystem Créez votre LiveUSB MultiBoot simplement,  
i   skype:i386                                         - Wherever you are, wherever they are                          
i   teamviewer:i386                                    - TeamViewer (Remote Control Application)                      
i   virtualbox-5.0                                     - Oracle VM VirtualBox  


je suis malentendant car une problème du Dyslexique en français smile merci vos respect
http://debian-art.org/CONTENT/content-pre1/80977-1.png
la groupe de debiannistes sur ce facebook : https://www.facebook.com/groups/1533439706960929/
le serveur irc de linuxfriends : irc.freemind.ovh #linuxfriends

Hors ligne

#5 24-03-2016 20:14:19

Firy
Membre
Distrib. : Debian Jessie 8.3
Noyau : 3.16.0
(G)UI : Openbox
Inscription : 22-01-2016

Re : Plein de paquets obsolètes, que faire ?

nazmi a écrit :

il propose de les désinstaller et de les réinstaller, bonne idée ?



Pas bonne idée. Il peut y avoir des paquets que tu as téléchargé hors dépôt. Fais le tri avant et tu pourras les supprimer au cas par cas.

Edit : En principe, s'ils sont obsolètes, c'est que le paquet n'est plus maintenu ou alors ils sont plus dans tes dépôts. Donc te proposer de les réinstaller...

Dernière modification par Firy (24-03-2016 20:15:58)

Hors ligne

#6 24-03-2016 20:35:41

deuchdeb
Moderato ma non troppo
Lieu : Pays de Cocagne
Distrib. : Jessie 8 + backports
Noyau : linux-image-3.16
(G)UI : KDE4.14 - Mate
Inscription : 13-01-2010

Re : Plein de paquets obsolètes, que faire ?

aptitude search '?obsolete'



Cette commande indique les paquets dont le dépôt a pu être enlevé du sources.list mais aussi indique les paquets installés manuellement.

Donc un petit:

apt-cache policy NomDuPaquet



Donnera suffisamment d'indications sur le paquet dont son origine

Exemple d'un paquet cité comme obsolète:

apt-cache policy hubic


hubic:
  Installé : 2.1.0.53-1
  Candidat : 2.1.0.53-1
 Table de version :
 *** 2.1.0.53-1 0
        100 /var/lib/dpkg/status
 



On ne voit aucun dépôt source, j'ai installé ce paquet manuellement et je ne veux pas le supprimer!!


Autre exemple:

apt-cache policy libreoffice


libreoffice:
  Installé : 1:5.0.5~rc2-1~bpo8+2
  Candidat : 1:5.0.5~rc2-1~bpo8+2
 Table de version :
 *** 1:5.0.5~rc2-1~bpo8+2 0
        200 http://httpredir.debian.org/debian/ jessie-backports/main amd64 Packages
        100 /var/lib/dpkg/status
     1:4.3.3-2+deb8u3 0
        500 http://security.debian.org/ jessie/updates/main amd64 Packages
     1:4.3.3-2+deb8u2 0
        500 http://httpredir.debian.org/debian/ jessie/main amd64 Packages



Là on voit que libreoffice est en version 1:5.0.5~rc2-1~bpo8+2 et que cela correspond à :

http://httpredir.debian.org/debian/ jessie-backports/main amd64 Packages

Hors ligne

#7 27-03-2016 02:49:11

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : Plein de paquets obsolètes, que faire ?

ok, je vais faire un petit coup de propre là dedans tongue merci pour les explications détaillées

Hors ligne

#8 27-03-2016 09:37:55

deuchdeb
Moderato ma non troppo
Lieu : Pays de Cocagne
Distrib. : Jessie 8 + backports
Noyau : linux-image-3.16
(G)UI : KDE4.14 - Mate
Inscription : 13-01-2010

Re : Plein de paquets obsolètes, que faire ?

A noter que synaptic peut classer les paquets par origine cela sera peut-être moins fastidieux et plus rapide.

Hors ligne

#9 27-03-2016 10:11:24

nono47
Membre
Lieu : dans l'engrenage ...
Distrib. : sid
Noyau : Linux 4.8.0-1-amd64
(G)UI : gnome-shell
Inscription : 09-05-2012

Re : Plein de paquets obsolètes, que faire ?

[modéré]Pas de fausses commandes root ou autres - SVP[/modéré]
1459066266.jpg

Hors ligne

#10 27-03-2016 17:49:54

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : Plein de paquets obsolètes, que faire ?

nono47 a écrit :

[modéré]Pas de fausses commandes root ou autres - SVP[/modéré]



Qu'est-ce que c'était ? oO

Hors ligne

#11 27-03-2016 18:44:59

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Plein de paquets obsolètes, que faire ?

Une blague de nono47 mais cela peut briser la confiance que les débutants mettent en df. smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#12 27-03-2016 19:42:02

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : Plein de paquets obsolètes, que faire ?

J'imagine bien que c'était une blague, mais de quel genre ? Car des blagues en console, j'amais entendu parler hmm

Hors ligne

#13 27-03-2016 20:33:33

Severian
Membre
Distrib. : Debian GNU/Linux 8.6 (jessie)
Noyau : Linux 4.6.0-0.bpo.1-amd64
(G)UI : Openbox 3.6.1-2
Inscription : 13-12-2014

Re : Plein de paquets obsolètes, que faire ?

nazmi a écrit :

J'imagine bien que c'était une blague, mais de quel genre ? Car des blagues en console, j'amais entendu parler hmm


aptitude moo


aptitude -v moo


aptitude -vv moo


aptitude -vvv moo


aptitude -vvvv moo


aptitude -vvvvv moo


aptitude -vvvvvv moo



apt-get moo


"il est urgent d'attendre" (bendia)
ob3-debian2-150x50.png

Hors ligne

#14 27-03-2016 20:54:15

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : Plein de paquets obsolètes, que faire ?

Rho, ils sont vraiment drôles et en plus ça a été traduit, merci pour la découverte big_smile

Hors ligne

#15 27-03-2016 20:58:44

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : Plein de paquets obsolètes, que faire ?

Y'a ça aussi pour se marrer en console tout en révisant son anglais big_smile

Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

En ligne

Pied de page des forums